Blame SOURCES/coreclr-build-python3.patch

627693
From 7e0608fee5cacbf5bf7d0c3886e2fcb1a9d10754 Mon Sep 17 00:00:00 2001
627693
From: Omair Majid <omajid@redhat.com>
627693
Date: Wed, 9 Jan 2019 12:28:48 -0500
627693
Subject: [PATCH] Support building with python3 on unix (#19356)
627693
627693
The windows build scripts try finding python in order of python3,
627693
python2 and then python. The unix build scripts dont. They just try
627693
python2 variants and then fail. This change makes brings them closer
627693
together by letting users build using only python3.
627693
---
627693
 build.sh | 6 +++---
627693
 1 file changed, 3 insertions(+), 3 deletions(-)
627693
627693
diff --git a/build.sh b/build.sh
627693
index a0b1742effb..14452ad5ac5 100755
627693
--- a/build.sh
627693
+++ b/build.sh
627693
@@ -7,9 +7,9 @@ export ghprbCommentBody=
627693
 
627693
 # resolve python-version to use
627693
 if [ "$PYTHON" == "" ] ; then
627693
-    if ! PYTHON=$(command -v python2.7 || command -v python2 || command -v python)
627693
+    if ! PYTHON=$(command -v python3 || command -v python2 || command -v python)
627693
     then
627693
-       echo "Unable to locate build-dependency python2.x!" 1>&2
627693
+       echo "Unable to locate build-dependency python!" 1>&2
627693
        exit 1
627693
     fi
627693
 fi
627693
@@ -17,7 +17,7 @@ fi
627693
 # useful in case of explicitly set option.
627693
 if ! command -v $PYTHON > /dev/null
627693
 then
627693
-   echo "Unable to locate build-dependency python2.x ($PYTHON)!" 1>&2
627693
+   echo "Unable to locate build-dependency python ($PYTHON)!" 1>&2
627693
    exit 1
627693
 fi
627693